summaryrefslogtreecommitdiff
path: root/config/essentials/shell/functions.sh
diff options
context:
space:
mode:
authorRaymaekers Luca <luca@spacehb.net>2025-01-09 16:52:07 +0100
committerRaymaekers Luca <luca@spacehb.net>2025-01-09 16:52:07 +0100
commitc8283a1ef06b15ab0b5871655f4bfaefe9518673 (patch)
treeee892a974ed799f708078def24e02f42cb70b5fa /config/essentials/shell/functions.sh
parentcc216ca760a6b22c8b8041f525859f4201a52d1f (diff)
parent11137f566712166f593eee3466a0287b8f3fad7b (diff)
Merge branch 'main' of db:dotfiles
Diffstat (limited to 'config/essentials/shell/functions.sh')
-rw-r--r--config/essentials/shell/functions.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/config/essentials/shell/functions.sh b/config/essentials/shell/functions.sh
index ab257fd..f249c14 100644
--- a/config/essentials/shell/functions.sh
+++ b/config/essentials/shell/functions.sh
@@ -381,3 +381,9 @@ ssh() {
done
/usr/bin/ssh $@
}
+
+ssl_req() {
+ [ "$1" ] || return 1
+ [ "$2" ] || return 2
+ openssl req -newkey rsa:4096 -x509 -sha256 -days 365 -nodes -out "$1" -keyout "$2"
+}